## org.apache.aries.subsystem.core.internal
Class TargetRegion

    java.lang.Object
      org.apache.aries.subsystem.core.internal.TargetRegion

    public class TargetRegion

extends Object

Constructor Summary
`TargetRegion(BasicSubsystem subsystem)`

Method Summary
`boolean` `contains(org.osgi.service.subsystem.Subsystem subsystem)`
`org.osgi.service.subsystem.Subsystem` `find(String symbolicName, org.osgi.framework.Version version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetRegion

    public TargetRegion(BasicSubsystem subsystem)

Method Detail

### contains

    public boolean contains(org.osgi.service.subsystem.Subsystem subsystem)

### find

    public org.osgi.service.subsystem.Subsystem find(String symbolicName,
                                                     org.osgi.framework.Version version)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.